Bug 66405 - wrong driver for an ethernet card
Summary: wrong driver for an ethernet card
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-10 04:13 UTC by Michal Jaegermann
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2002-06-10 04:13:43 UTC
Description of Problem:

A driver which is still broken is picked up for 
"Digital Equipment Corporation DECchip 21142/43" tulip card (see #61337)
and not a single etherned packet gets through.  'de4x5' luckily works.

Comment 1 Bill Nottingham 2002-06-12 06:27:05 UTC
Fixing in the pcitable, but it would be nice if tulip worked, since it claims to
support it...

Comment 2 Michal Jaegermann 2002-06-12 16:13:44 UTC
I agree with this sentiment.  'tulip' driver worked for me mostly fine
in times on 2.2 series where 'de4x5' had some troubles.  It become very
quirky (*) for original DEC tulips relatively early in 2.4 but started to work
for various PNICs and LightOns which before were really a sore spot.
It appears that version used in 2.5s is an improvement (at least from my
point of view :-)  and started to work for me again but my experience with
this version is still limited.

The trouble is really a huge number of variants of tulip cards around and
known problems with negotiations.  With my two tulip cards (I used to have
three around, slightly different) I did not manage to transfer a single
ethernet packet using current drivers from 2.4 and I tried the whole array
of tricks. OTOH 'de4x5' from there seems to be solid.  Shrug...

(*) "quirky" means that apparently it might work - depending what is on
the other end of a wire.

Comment 3 Bugzilla owner 2004-09-30 15:39:40 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.